# Passport Basic Verification

This API verifies passports issued by Passport Seva Kendra using the File Number and Date of Birth provided, ensuring accurate authentication of passport details.

### ind\_passport\_basic

```http
POST https://secctrl.tutelar.io/api/v1/kyc/identity/ind_passport_basic
```

#### Post parameters description is given below,

| Post Parameter | Type   | Is Mandatory | Description      |
| -------------- | ------ | -----------: | ---------------- |
| fileNumber     | String |          Yes | Your file Number |
| dob            | String |          Yes | DD/MM/YYYY       |

#### Sample Post Parameters

```json
{
  "fileNumber": "MA3068419212345",
  "dob": "01/01/2000"
}
```

#### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "efb8f0f8-e059-4faf-84ff-de77398b08dc",
  "status": "completed",
  "result": {
    "file_number": "MA3068419212345",
    "given_name": "SARAN",
    "surname": "RAJ",
    "type_of_application": "NORMAL",
    "application_received_on_date": "01/01/2000",
    "name": "SARAN RAJ",
    "dob": "01/01/2000"
  },
  "requested_at": "2026-05-04T11:15:27.508Z",
  "completed_at": "2026-05-04T11:15:28.197Z"
}
```

#### 200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "d6e489e6-c9fe-43ee-bc25-faee882e5e94",
  "status": "in_progress",
  "requested_at": "2026-05-04T07:21:31.744Z"
}
```

#### Validation Error Response - DOB

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "cbd18520-1632-42a3-8c33-4e8ec3b9fd2b",
  "status": "failed",
  "error": {
    "message": "Invalid DOB",
    "code": "ERROR"
  },
  "requested_at": "2026-05-05T05:52:29.197Z",
  "completed_at": "2026-05-05T05:52:30.594Z"
}
```

#### 400: Validation Error Response - FileNumber

```json
{
  "success": false,
  "code": 400,
  "message": "File Number is invalid",
  "error": {
    "message": "File Number is invalid",
    "field": "fileNumber",
    "code": "BAD_REQUEST"
  }
}
```

#### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "db5df55b-da87-403d-87d6-7e6153bf0010",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-05T05:52:42.619Z",
  "completed_at": "2026-05-05T05:52:44.719Z"
}
```

#### Check Document Status

### Get document details

```http
GET https://secctrl.tutelar.io/api/v1/kyc/identity/ind_passport_basic
```

#### Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | -----------: | --------------------- |
| reference\_id   | String |          Yes | Document reference id |

#### 200: Success Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "efb8f0f8-e059-4faf-84ff-de77398b08dc",
  "status": "completed",
  "result": {
    "file_number": "MA3068419212345",
    "given_name": "SARAN",
    "surname": "RAJ",
    "type_of_application": "NORMAL",
    "application_received_on_date": "01/01/2000",
    "name": "SARAN RAJ",
    "dob": "01/01/2000"
  },
  "requested_at": "2026-05-04T11:15:27.508Z",
  "completed_at": "2026-05-04T11:15:28.197Z"
}
```

#### 200: InProgress Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "d6e489e6-c9fe-43ee-bc25-faee882e5e94",
  "status": "in_progress",
  "requested_at": "2026-05-04T07:21:31.744Z"
}
```

#### 200: Failure Response

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "db5df55b-da87-403d-87d6-7e6153bf0010",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-05T05:52:42.619Z",
  "completed_at": "2026-05-05T05:52:44.719Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/passport-basic-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
